跳转到主要内容
计算管理/镜像存储相关接口/镜像相关接口
POSTImage Related Interfaces起始版本 0.6同步需要认证

从硬盘快照创建数据硬盘镜像

从硬盘快照创建数据硬盘镜像

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • snapshotUuidString必填

    快照UUID

请求体字段

  • paramsObject必填

    请求体参数结构

    • nameString必填

      数据硬盘镜像名称

    • descriptionString

      数据硬盘镜像的详细描述

    • backupStorageUuidsList必填

      镜像仓库UUID列表

    • resourceUuidString

      数据硬盘镜像UUID。若指定,数据硬盘镜像会使用该字段值作为UUID

    • tagUuidsList

      标签UUID列表

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryImageInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • stateString必填

      镜像的启动状态

    • statusString必填

      镜像的就绪状态

    • sizeLong必填

      镜像大小

    • actualSizeLong必填

      镜像真实容量

    • md5SumString必填

      镜像的md5值

    • urlString必填

      镜像的URL地址

    • mediaTypeString必填

      镜像的类型

    • guestOsTypeString必填

      镜像对应的客户机操作系统类型

    • typeString必填

      内部使用字段

    • platformString必填

      镜像的系统平台

    • formatString必填

      镜像的格式,比如:raw

    • systemBoolean必填

      标识是否为系统镜像

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • backupStorageRefsList必填

      详情参考backupStorageRefs

      • imageUuidString必填

        镜像UUID

      • backupStorageUuidString必填

        镜像存储UUID

      • installPathString必填

        在镜像仓库上的安装路径

      • exportUrlString必填

        导出镜像的url

      • exportMd5SumString必填

        导出镜像的md5值

      • statusString必填

        镜像就绪状态

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

  • failuresList必填

    详情参考failures

    • backupStorageUuidString必填

      镜像存储UUID

    • errorErrorCode必填

      详情参考error

      • codeString必填

        错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

      • descriptionString必填

        错误的概要描述

      • detailsString必填

        错误的详细信息

      • elaborationString必填

        保留字段,默认为null

      • opaqueLinkedHashMap必填

        保留字段,默认为null

      • causeErrorCode必填

        根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

POST/zstack/v1/images/data-volume-templates/from/volume-snapshots/{snapshotUuid}

/zstack/v1/images/data-volume-templates/from/volume-snapshots/{snapshotUuid}

操作 ID

CreateDataVolumeTemplateFromVolumeSnapshot

永久链接

请求示例

curl -X POST 'http://{host}/zstack/v1/images/data-volume-templates/from/volume-snapshots/{snapshotUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","backupStorageUuids":["<backupStorageUuids>"],"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "314d80c2feb5352c984b3ffd36108c32", "name": "My Data Volume Template", "mediaType": "DataVolumeTemplate", "platform": "Linux", "format": "raw", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "314d80c2feb5352c984b3ffd36108c32", "backupStorageUuid": "d861144baadf31e3b1cbbb282242adcf", "installPath": "ceph://zs-images/0cd599ec519249489475112a058bb93a", "status": "Ready" } ] } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史